/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# General Structure
  ## Code
  ## Cover
  ## Embeds
  ## Gallery
  ## Group
  ## Image
  ## Latest Posts
  ## List
  ## More
  ## Navigation
  ## Pullquote
  ## Quote
  ## Separator
  ## Site Tagline
  ## Table
  ## Video
# Additional Theme Styles
  ## Color Palette
--------------------------------------------------------------*/
/*--------------------------------------------------------------
# Block Styles
--------------------------------------------------------------*/
/*--------------------------------------------------------------
## General Structure
--------------------------------------------------------------*/
footer.wp-block-template-part {
  margin: 0px;
}
.primary-color {
  background-color: #0071bb !important;
}
.primary-text {
  color: #0071bb !important;
}
.s {
  background-color: #b28020 !important;
}
.secondary a {
  background-color: #b28020 !important;
}
.secondary-text {
  color: #b28020 !important;
}
.secondary-text a {
  color: #b28020 !important;
}
.w-100-courses img {
  width: 100%;
}
/* gravity form styling */
.gravity-form-heading {
  border-block-end: none !important;
}
.gravity-form-heading h3 {
  font-size: 18px;
  font-weight: 900;
}
.gravity-form-heading h2 {
  font-size: 18px !important;
  font-weight: 900 !important;
}
.gform_wrapper .ginput_container_select select {
  height: 40px;
  padding-top: 10px;
}
.gform_footer .gform_button {
  background-color: #b28020 !important;
  color: white;
  width: 10% !important;
}
.gform_footer .gform_button:hover {
  background-color: #b28020 !important;
}
.gform_footer .gform_button:focus {
  outline: none;
  box-shadow: 0 0 5px #b28020 !important;
  border: none !important;
}
.gform-theme--framework .gform_validation_errors .gform_submission_error {
  font-size: 15px !important;
}
.gform_legacy_markup_wrapper .gfield_checkbox li label,
.gform_legacy_markup_wrapper .gfield_radio li label {
  max-width: 100% !important;
}
/* gravity form styling end */
/* social buttons */
.facebook-btn .wp-block-button__link,
.twitter-btn .wp-block-button__link,
.email-btn .wp-block-button__link,
.insta-btn .wp-block-button__link,
.youtube-btn .wp-block-button__link {
  text-transform: none !important;
}
.facebook-btn .wp-block-button__link::before {
  content: "\f39e";
  font-family: "Font Awesome 5 Brands";
  font-size: 18px;
  color: white;
  margin-right: 8px;
  display: inline-block;
}
.twitter-btn .wp-block-button__link::before {
  content: "\f099";
  font-family: "Font Awesome 5 Brands";
  font-size: 18px;
  color: white;
  margin-right: 8px;
  display: inline-block;
}
.email-btn .wp-block-button__link::before {
  content: "\f0e0";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 8px;
  font-size: 18px;
  display: inline-block;
}
.insta-btn .wp-block-button__link::before {
  content: "\f16d";
  font-family: "Font Awesome 5 Brands";
  font-size: 18px;
  color: white;
  margin-right: 8px;
  display: inline-block;
}
.youtube-btn .wp-block-button__link::before {
  content: "\f167";
  font-family: "Font Awesome 5 Brands";
  font-size: 18px;
  color: white;
  margin-right: 8px;
  display: inline-block;
}
/* social buttons end */
/* read more button */
.read-more .wp-block-button__link {
  display: inline-flex;
  align-items: center;
  font-size: 10px;
}
.read-more .wp-block-button__link::after {
  content: "\f061";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-left: 8px;
  font-size: 12px;
  vertical-align: middle;
}
/* read more button end */
.entry-content > * {
  padding-left: 14px;
  padding-right: 14px;
}
.entry-content > .alignwide {
  max-width: 1070px;
}
.entry-content > .alignfull {
  margin: 1.5em 0;
  max-width: 100%;
}
@media screen and (min-width: 608px) {
  .entry-content > * {
    padding-left: 0px;
    padding-right: 0px;
  }
}
/* faq styling */
.faq-styling .wp-block-details summary {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding-right: 40px;
  outline: none;
}
.faq-styling .wp-block-details summary:focus {
  outline: none; /* Ensure no outline appears on focus */
}
.faq-styling .wp-block-details summary::after {
  content: "\002B";
  font-size: 24px;
  color: #b28020;
  background-color: #ffffff;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
  position: absolute;
  right: 10px;
  border: 2px solid #b28020;
  transition: transform 0.3s ease;
}
.faq-styling .wp-block-details[open] summary::after {
  content: "\2212";
}
/* faq styling end */
/*--------------------------------------------------------------
## Code
--------------------------------------------------------------*/
.wp-block-code {
  padding: 0.8em 1em;
  margin-left: 14px;
  margin-right: 14px;
}
@media screen and (min-width: 608px) {
  .wp-block-code {
    margin-left: auto;
    margin-right: auto;
  }
}
/*--------------------------------------------------------------
## Cover
--------------------------------------------------------------*/
.wp-block-cover-text p {
  padding: 1.5em 14px;
}
@media screen and (min-width: 608px) {
  .wp-block-cover-text p {
    padding: 1.5em 0;
  }
}
/*--------------------------------------------------------------
## Embeds
--------------------------------------------------------------*/
.wp-block-embed.type-video > .wp-block-embed__wrapper {
  position: relative;
  width: 100%;
  height: 0;
  padding-top: 56.25%;
}
.wp-block-embed.type-video > .wp-block-embed__wrapper > iframe {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}
/*--------------------------------------------------------------
# Gallery
--------------------------------------------------------------*/
.wp-block-gallery:not(.components-placeholder) {
  margin: 1.5em auto;
}
/*--------------------------------------------------------------
## Group
--------------------------------------------------------------*/
.wp-block-group > .wp-block-group__inner-container > *:not(.entry-content) {
  max-width: 580px;
  margin-left: auto;
  margin-right: auto;
}
.wp-block-group > .wp-block-group__inner-container > .alignwide {
  max-width: 1070px;
}
.wp-block-group > .wp-block-group__inner-container > .alignfull {
  max-width: 100%;
}
.wp-block-group.has-background
  > .wp-block-group__inner-container
  > :first-child {
  margin-top: 0;
}
.wp-block-group.has-background > .wp-block-group__inner-container > .alignfull {
  width: calc(100% + 60px);
  max-width: calc(100% + 60px);
  position: relative;
  left: -30px;
}
/*--------------------------------------------------------------
# Image
--------------------------------------------------------------*/
.wp-block-image img {
  display: block;
}
.wp-block-image.alignleft,
.wp-block-image.alignright {
  width: 100%;
}
.wp-block-image.alignfull img {
  width: 100vw;
}
.wp-block-image .alignleft img,
.wp-block-image .alignright img,
.wp-block-image .alignleft figcaption,
.wp-block-image .alignright figcaption {
  max-width: 100%;
  width: 100%;
}
/*--------------------------------------------------------------
## Latest Posts
--------------------------------------------------------------*/
ul.wp-block-latest-posts.alignwide,
ul.wp-block-latest-posts.alignfull,
ul.wp-block-latest-posts.is-grid.alignwide,
ul.wp-block-latest-posts.is-grid.alignwide {
  padding: 0 14px;
}
.more-link {
  display: block;
}
/*--------------------------------------------------------------
## Navigation
--------------------------------------------------------------*/
.wp-block-navigation-link__label {
  font-family: inherit;
  color: #0073aa;
}
/*--------------------------------------------------------------
## Pullquote
--------------------------------------------------------------*/
.wp-block-pullquote > p:first-child {
  margin-top: 0;
}
/*--------------------------------------------------------------
## Quote
--------------------------------------------------------------*/
.wp-block-quote {
  margin-left: 14px;
  margin-right: 14px;
  padding: 0;
}
.wp-block-quote > * {
  margin-left: 1rem;
}
.wp-block-quote.is-large,
.wp-block-quote.is-style-large {
  margin: 36px auto;
  padding: 0;
}
.wp-block-quote.is-large cite,
.wp-block-quote.is-large footer,
.wp-block-quote.is-style-large cite,
.wp-block-quote.is-style-large footer {
  font-size: 13px;
  font-size: 0.8125rem;
}
@media screen and (min-width: 644px) {
  .wp-block-quote {
    margin: 36px auto;
  }
}
/*--------------------------------------------------------------
## Separator
--------------------------------------------------------------*/
.wp-block-separator {
  margin: 3em auto;
  padding: 0;
}
/*--------------------------------------------------------------
## Site Tagline
--------------------------------------------------------------*/
.wp-block-site-tagline {
  margin-top: 0;
}
/*--------------------------------------------------------------
## Site Title
--------------------------------------------------------------*/
.wp-block-site-title {
  margin-bottom: 0;
}
/*--------------------------------------------------------------
## Table
--------------------------------------------------------------*/
.wp-block-table {
  overflow-x: auto;
  margin-left: 14px;
  margin-right: 14px;
  width: calc(100% - 28px);
}
.wp-block-table table {
  border-collapse: collapse;
  width: 100%;
}
.wp-block-table td,
.wp-block-table th {
  padding: 0.5em;
}
@media screen and (min-width: 608px) {
  .wp-block-table {
    margin-left: auto;
    margin-right: auto;
    width: 100%;
  }
}
/*--------------------------------------------------------------
## Video
--------------------------------------------------------------*/
.wp-block-video video {
  max-width: 580px;
}
/*--------------------------------------------------------------
# Additional Theme Styles
--------------------------------------------------------------*/
/*--------------------------------------------------------------
## Color Palette
--------------------------------------------------------------*/
.has-strong-blue-color {
  color: #0073aa;
}
.has-strong-blue-background-color {
  background-color: #0073aa;
}
.has-lighter-blue-color {
  color: #229fd8;
}
.has-lighter-blue-background-color {
  background-color: #229fd8;
}
.has-very-light-gray-color {
  color: #eee;
}
.has-very-light-gray-background-color {
  background-color: #eee;
}
.has-very-dark-gray-color {
  color: #444;
}
.has-very-dark-gray-background-color {
  background-color: #444;
}
.list-disc li {
  list-style: disc !important;
}
.list-disc li::marker {
  font-size: 13px;
}
.list-styling li {
  list-style: disc;
  margin-left: 20px;
}

